<?php
$ApiPassword = "amr";
    
$host_name = 'db5006133589.hosting-data.io';
$database = 'dbs5131681';
$user_name = 'dbu1136964';
$password = 'Pruebas123...';

//IMPORTANTE el sql tiene un limite de caracteres en el url ($_GET['sql']) y por alguna razón no corren dos queries juntos...
if ( $_GET['pwd'] == $ApiPassword and !empty( $_GET['sql'] ) ) {

    $link = mysqli_connect( $host_name, $user_name, $password, $database );
    if ( $link->connect_error ) { die( "Connection failed: ". $link->connect_error );
    } else {/* echo "Connected successfully";/**/}
    /*character set to utf8mb4 */ $link->set_charset( "utf8mb4" );

    $sql = urldecode($_GET['sql']);
    $ejecutarquery=mysqli_query($link,$sql); 
    if(mysqli_num_rows($ejecutarquery)>0){
        $res=array(); 
        while($row=mysqli_fetch_assoc($ejecutarquery)){
            $res[]=$row;
        }
        //echo "...<pre>";var_dump($res);echo "</pre>...";
        echo json_encode($res);
    }else{
        echo "NADA regreso. Query: ".$sql;
    }
} else {
    echo "Lero lero, no puedes hacer nada sin el pwd...".$_GET['pwd'].$password.$_GET['sql'];
}